----------------------------
-- Sphere Tooltip Creator --
----------------------------
local addon, ns = ...
local ss = ns.SS

local setmetatable = setmetatable
local CreateFrame = CreateFrame

local mtGeneralTooltip = {};

function mtGeneralTooltip:New(index, region)
  region = region or ""

  local tooltip = CreateFrame("GameTooltip", ss._f..region.."MicroSphereTooltip"..index, nil, "GameToolTipTemplate")
  tooltip.FontString1 = tooltip:CreateFontString("FontString1")
  tooltip.FontString1:SetFont(ss.private.font.general, 16)

  return tooltip
end

ss["GeneralTooltip"] = setmetatable({}, { __index = mtGeneralTooltip });
